import { BASE_API_URL } from "../app";
import express from "express";
import { getIssuesStatistics } from "../utils/gitlab";
import { Stats } from "../types/stats";
import { getPlayerCount, getServerCount } from "../utils/bstats";

export function statsRouter() {
    const router = express.Router();

    router.get(BASE_API_URL + "/stats", async (req, res) => {
        const issueStats = await getIssuesStatistics();

        const stats: Stats = {
            open_issues: issueStats.opened,
            closed_issues: issueStats.closed,
            total_issues: issueStats.all,
            player_count: await getPlayerCount(),
            server_count: await getServerCount(),
        };

        res.json(stats);
    });

    return router;
}
