import axios from "axios";
import remember from "./redis";

export async function getPlayerCount(): Promise<number> {
    return await remember<number>("bstats:players", async () => {
        console.log("Fetching player count...");
        try {
            let response = await axios.get(
                "https://bstats.org/api/v1/plugins/17219/charts/players/data?maxElements=1",
                {
                    headers: {
                        "Accept-Encoding": "application/json",
                    }
                }
            );

            return response.data[0][1];
        } catch (error) {
            // Probably a 404 or 502
            return 0;
        }
    });
}

export async function getServerCount(): Promise<number> {
    return await remember<number>("bstats:servers", async () => {
        console.log("Fetching server count...");
        try {
            let response = await axios.get(
                "https://bstats.org/api/v1/plugins/17219/charts/servers/data?maxElements=1",
                {
                    headers: {
                        "Accept-Encoding": "application/json",
                    }
                }
            );

            return response.data[0][1];
        } catch (error) {
            // Probably a 404 or 502
            return 0;
        }
    });
}
